<!DOCTYPE html>
<html>

<body class="w3-light-grey w3-content" style="max-width:1600px">
  <h1 runat="server" id="header1"></h1>

  <nav class="w3-sidebar w3-collapse w3-white w3-animate-left" style="z-index:3;width:300px;" id="mySidebar"><br>
    <div class="w3-container">
      <a href="#" onclick="w3_close()" class="w3-hide-large w3-right w3-jumbo w3-padding w3-hover-grey"
        title="close menu">
        <i class="fa fa-remove"></i>
      </a>
      <h4><b>PORTFOLIO</b></h4>
    </div>
    <div class="w3-bar-block">
    </div>
    <div class="w3-panel w3-large">
      <i class="fa fa-facebook-official w3-hover-opacity"></i>
      <i class="fa fa-instagram w3-hover-opacity"></i>
      <i class="fa fa-snapchat w3-hover-opacity"></i>
      <i class="fa fa-pinterest-p w3-hover-opacity"></i>
      <i class="fa fa-twitter w3-hover-opacity"></i>
      <i class="fa fa-linkedin w3-hover-opacity"></i>
    </div>
  </nav>

  <!-- Overlay effect when opening sidebar on small screens -->
  <div class="w3-overlay w3-hide-large w3-animate-opacity" onclick="w3_close()" style="cursor:pointer"
    title="close side menu" id="myOverlay"></div>

  <div class="tab">
    <button class="tablinks" onclick="openTab(event, 'monitorA')">Monitor A</button>
    <button class="tablinks" onclick="openTab(event, 'monitorB')">Monitor B</button>
  </div>

  <div id="monitorA" class="tabcontent"></div>
  <div id="monitorB" class="tabcontent"></div>

  <div id="data-container"></div>
  <script src="https://apis.google.com/js/api.js"></script>

</body>

<script>
  fetch('https://sheets.googleapis.com/v4/spreadsheets/1Za2edzE615jqXaho2WJg6efzi5OqEset-fjMk9QoYOo?includeGridData=true&ranges=A1:Z1000&key=AIzaSyBGgbG2r-GHse_weCs5VpCFzxxLPU4BuPM')
    .then(response => response.json())
    .then(data => {

      function monitorA() {
        const container = document.querySelector('#monitorA');
        const table = document.createElement('table');

        // Add table header
        const headerRow = document.createElement('tr');
        const header1 = document.createElement('th');
        headerRow.appendChild(header1);
        table.appendChild(headerRow);

        // Loop through data and add table rows
        for (let i = 0; i < data.sheets[0].data[0].rowData.length; i++) {
          const row = document.createElement('tr');

          // Create cells for each value
          const cell1 = document.createElement('th');
          cell1.textContent = data.sheets[0].data[0].rowData[i].values[0]?.userEnteredValue?.stringValue || '';

          const cell2 = document.createElement('th');
          const iframe1 = document.createElement('iframe');
          iframe1.src = data.sheets[0].data[0].rowData[i].values[1]?.userEnteredValue?.stringValue || '';
          cell2.appendChild(iframe1);

          const cell3 = document.createElement('th');
          const iframe2 = document.createElement('iframe');
          iframe2.src = data.sheets[0].data[0].rowData[i].values[2]?.userEnteredValue?.stringValue || '';
          cell3.appendChild(iframe2);

          const cell4 = document.createElement('th');
          const iframe3 = document.createElement('iframe');
          iframe3.src = data.sheets[0].data[0].rowData[i].values[3]?.userEnteredValue?.stringValue || '';
          cell4.appendChild(iframe3);
          console.log(iframe3.src);

          const cell5 = document.createElement('th');
          const iframe4 = document.createElement('iframe');
          iframe4.src = data.sheets[0].data[0].rowData[i].values[4]?.userEnteredValue?.stringValue || '';
          cell5.appendChild(iframe4);
          console.log(iframe4.src);


          // Add cells to row
          row.appendChild(cell1);
          row.appendChild(cell2);
          row.appendChild(cell3);
          row.appendChild(cell4);
          row.appendChild(cell5);

          // Add row to table
          table.appendChild(row);

          // Set width and height of iframes
          iframe1.setAttribute('width', '400');
          iframe1.setAttribute('height', '400');
          iframe2.setAttribute('width', '400');
          iframe2.setAttribute('height', '400');
          iframe3.setAttribute('width', '400');
          iframe3.setAttribute('height', '400');
          iframe4.setAttribute('width', '400');
          iframe4.setAttribute('height', '400');
        }

        container.appendChild(table);
      }

      monitorA();



    })
    .catch(error => console.error(error));

</script>

<script>
  fetch('https://sheets.googleapis.com/v4/spreadsheets/1Za2edzE615jqXaho2WJg6efzi5OqEset-fjMk9QoYOo?includeGridData=true&ranges=Testing!A1:Z100&key=AIzaSyBGgbG2r-GHse_weCs5VpCFzxxLPU4BuPM')
    .then(response => response.json())
    .then(data => {

      function monitorB() {
        const container = document.querySelector('#monitorB');
        const table = document.createElement('table');

        // Add table header
        const headerRow = document.createElement('tr');
        const header1 = document.createElement('th');
        headerRow.appendChild(header1);
        table.appendChild(headerRow);

        // Loop through data and add table rows
        for (let i = 0; i < data.sheets[0].data[0].rowData.length; i++) {
          const row = document.createElement('tr');

          // Create cells for each value
          const cell1 = document.createElement('th');
          cell1.textContent = data.sheets[0].data[0].rowData[i].values[0]?.userEnteredValue?.stringValue || '';

          const cell2 = document.createElement('th');
          const iframe1 = document.createElement('iframe');
          iframe1.src = data.sheets[0].data[0].rowData[i].values[1]?.userEnteredValue?.stringValue || '';
          cell2.appendChild(iframe1);

          const cell3 = document.createElement('th');
          const iframe2 = document.createElement('iframe');
          iframe2.src = data.sheets[0].data[0].rowData[i].values[2]?.userEnteredValue?.stringValue || '';
          cell3.appendChild(iframe2);

          const cell4 = document.createElement('th');
          const iframe3 = document.createElement('iframe');
          iframe3.src = data.sheets[0].data[0].rowData[i].values[3]?.userEnteredValue?.stringValue || '';
          cell4.appendChild(iframe3);
          console.log(iframe3.src);

          const cell5 = document.createElement('th');
          const iframe4 = document.createElement('iframe');
          iframe4.src = data.sheets[0].data[0].rowData[i].values[4]?.userEnteredValue?.stringValue || '';
          cell5.appendChild(iframe4);
          console.log(iframe4.src);


          // Add cells to row
          row.appendChild(cell1);
          row.appendChild(cell2);
          row.appendChild(cell3);
          row.appendChild(cell4);
          row.appendChild(cell5);

          // Add row to table
          table.appendChild(row);

          // Set width and height of iframes
          iframe1.setAttribute('width', '400');
          iframe1.setAttribute('height', '400');
          iframe2.setAttribute('width', '400');
          iframe2.setAttribute('height', '400');
          iframe3.setAttribute('width', '400');
          iframe3.setAttribute('height', '400');
          iframe4.setAttribute('width', '400');
          iframe4.setAttribute('height', '400');
        }

        container.appendChild(table);
      }

      monitorB();



    })
    .catch(error => console.error(error));

</script>

<script>
  function openTab(evt, tabName) {
    var i, tabcontent, tablinks;
    tabcontent = document.getElementsByClassName("tabcontent");
    for (i = 0; i < tabcontent.length; i++) {
      tabcontent[i].style.display = "none";
    }
    tablinks = document.getElementsByClassName("tablinks");
    for (i = 0; i < tablinks.length; i++) {
      tablinks[i].className = tablinks[i].className.replace(" active", "");
    }
    document.getElementById(tabName).style.display = "block";
    evt.currentTarget.className += " active";

    if (tabName === 'monitorA') {
      monitorA();
    } else {
      monitorB();
    }
  }

  function w3_open() {
    document.getElementById("mySidebar").style.display = "block";
    document.getElementById("myOverlay").style.display = "block";
  }

  function w3_close() {
    document.getElementById("mySidebar").style.display = "none";
    document.getElementById("myOverlay").style.display = "none";
  }
</script>

<style>
  .tab {
    overflow: hidden;
    border: 1px solid #ccc;
    background-color: #f1f1f1;
  }

  .tab button {
    background-color: inherit;
    border: none;
    outline: none;
    cursor: pointer;
    padding: 14px 16px;
    transition: 0.3s;
    font-size: 17px;
  }

  .tab button:hover {
    background-color: #ddd;
  }

  .tab button.active {
    background-color: #ccc;
  }

  .tabcontent {
    display: none;
    padding: 6px 12px;
    border: 1px solid #ccc;
    border-top: none;
  }

  .tabcontent.show {
    display: block;
  }
</style>

</html>